/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename functions or slots use
** Qt Designer which will update this file, preserving your code. Create an
** init() function in place of a constructor, and a destroy() function in
** place of a destructor.
*****************************************************************************/


void GSSettingsWidget::slotConfigClicked()
{
    emit configClicked();
}


void GSSettingsWidget::setInterpreterURL( const QString &url )
{
    mInterpreterReq->setURL(url);
}


void GSSettingsWidget::setNonAntialiasArgs( const QString &args )
{
    mNonAntialiasArgsEdit->setText(args);
}


void GSSettingsWidget::setAntialiasArgs( const QString &args )
{
    mAntialiasArgsEdit->setText(args);
}


QString GSSettingsWidget::interpreterURL()
{
    return mInterpreterReq->url();
}


QString GSSettingsWidget::nonAntialiasArgs()
{
    return mNonAntialiasArgsEdit->text();
}


QString GSSettingsWidget::antialiasArgs()
{
    return mAntialiasArgsEdit->text();
}


void GSSettingsWidget::setDetectedVersion( QString v)
{
    mDetectedVersion->setText(mDetectedVersion->text().arg( v ));
}
